Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.path
Class RelativePathParser

    java.lang.Object
      org.jboss.portal.common.path.RelativePathParser

    public class RelativePathParser

extends java.lang.Object

Utility class to pull parse a relative path.

Version:
  $Revision: 5451 $
Author:
  Julien Viet

Field Summary
`static int` | `DOWN` The recognized token is down.
`static int` | `NONE` The parser has reached the end of the stream.
`static int` | `UP` The recognized token is up.

Constructor Summary
`RelativePathParser(java.lang.String path)`

Method Summary
`int` | `getLength()`
`int` | `getOffset()`
`int` | `next()` Read the next token available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The parser has reached the end of the stream. The values returned by `getOffset()` and `getLength()` is undertermined.

  See Also:
    Constant Field Values

### UP

    public static final int UP

  The recognized token is up. The values returned by `getOffset()` and `getLength()` is undertermined.

  See Also:
    Constant Field Values

### DOWN

    public static final int DOWN

  The recognized token is down. The values returned by `getOffset()` and `getLength()` determine the token string value.

  See Also:
    Constant Field Values

Constructor Detail

### RelativePathParser

    public RelativePathParser(java.lang.String path)

Method Detail

### next

    public int next()

  Read the next token available.

  Returns:
    the token type recognized which can be NONE, UP or DOWN.

### getOffset

    public int getOffset()

### getLength

    public int getLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.